require 'roxml'

module Salesforce
	module Types
		# A generic ApexClassAccess class that can be extended for specific
		# metadata objects, e.g. ProfileApexClassAccess.
		#
		# @author Ben Burwell
		class ApexClassAccess
			include ROXML

			xml_accessor :apexClass
			xml_accessor :enabled
		end

		# See https://developer.salesforce.com/docs/atlas.en-us.api_meta.meta/api_meta/meta_profile.htm#profileApexClassAccess_title
		class ProfileApexClassAccess < ApexClassAccess; end
		class PermissionSetApexClassAccess < ApexClassAccess; end
	end
end
