require 'roxml'

module Salesforce
	module Types
		# A generic ApexPageAccess class that can be extended for specific
		# metadata objects, e.g. ProfileApexPageAccess.
		#
		# @author Ben Burwell
		class ApexPageAccess
			include ROXML

			xml_accessor :apexPage
			xml_accessor :enabled
		end

		# See https://developer.salesforce.com/docs/atlas.en-us.api_meta.meta/api_meta/meta_profile.htm#profileApexPageAccess_title
		class ProfileApexPageAccess < ApexPageAccess; end
		class PermissionSetApexPageAccess < ApexPageAccess; end
	end
end
