require 'roxml'

module Salesforce
	module Types
		# A generic ApplicationVisibility class that can be extended for specific
		# metadata objects, e.g. ProfileApplicationVisibility.
		#
		# @author Ben Burwell
		class ApplicationVisibility
			include ROXML
		end

		# See https://developer.salesforce.com/docs/atlas.en-us.api_meta.meta/api_meta/meta_profile.htm#profileapplicationvisibility_title
		class ProfileApplicationVisibility < ApplicationVisibility
			xml_accessor :application
			xml_accessor :default
			xml_accessor :visible
		end
		
		class PermissionSetApplicationVisibility < ApplicationVisibility
			xml_accessor :application
			xml_accessor :visible
		end
	end
end
