require 'roxml'

module Salesforce
	module Types
		# A generic CustomPermissions class that can be extended for specific
		# metadata objects, e.g. ProfileCustomPermissions.
		#
		# @author Ben Burwell
		class CustomPermissions
			include ROXML

			xml_accessor :enabled
			xml_accessor :name
		end

		# See https://developer.salesforce.com/docs/atlas.en-us.api_meta.meta/api_meta/meta_profile.htm#ProfileCustomPermissions_title
		class ProfileCustomPermissions < CustomPermissions; end
		class PermissionSetCustomPermissions < CustomPermissions; end
	end
end
