require 'roxml'

module Salesforce
	module Types
		# A generic ExternalDataSource class that can be extended for specific
		# metadata objects, e.g. ProfileExternalDataSource.
		#
		# @author Ben Burwell
		class ExternalDataSourceAccess
			include ROXML

			xml_accessor :enabled
			xml_accessor :externalDataSource
		end

		# See https://developer.salesforce.com/docs/atlas.en-us.api_meta.meta/api_meta/meta_profile.htm#profileExternalDataSourceAccess_title
		class ProfileExternalDataSourceAccess < ExternalDataSourceAccess; end
		class PermissionSetExternalDataSourceAccess < ExternalDataSourceAccess; end
	end
end
