require 'roxml'

module Salesforce
	module Types
		# A generic LayoutAssignments class that can be extended for specific
		# metadata objects, e.g. ProfileLayoutAssignments.
		#
		# @author Ben Burwell
		class LayoutAssignments
			include ROXML

			xml_accessor :layout
			xml_accessor :recordType
		end

		# See https://developer.salesforce.com/docs/atlas.en-us.api_meta.meta/api_meta/meta_profile.htm#profilelayoutassignments
		class ProfileLayoutAssignments < LayoutAssignments; end
	end
end
