require 'roxml'

module Salesforce
	module Types
		# A generic LoginHours class that can be extended for specific
		# metadata objects, e.g. ProfileLoginHours.
		#
		# @author Ben Burwell
		class LoginHours
			include ROXML

			xml_accessor :mondayStart
			xml_accessor :mondayEnd
			xml_accessor :tuesdayStart
			xml_accessor :tuesdayEnd
			xml_accessor :wednesdayStart
			xml_accessor :wednesdayEnd
			xml_accessor :thursdayStart
			xml_accessor :thursdayEnd
			xml_accessor :fridayStart
			xml_accessor :fridayEnd
			xml_accessor :saturdayStart
			xml_accessor :saturdayEnd
			xml_accessor :sundayStart
			xml_accessor :sundayEnd
		end

		# See https://developer.salesforce.com/docs/atlas.en-us.api_meta.meta/api_meta/meta_profile.htm#ProfileLoginHours_title
		class ProfileLoginHours < LoginHours; end
	end
end
