require 'roxml'

module Salesforce
	module Types
		# A generic LoginIpRange class that can be extended for specific
		# metadata objects, e.g. ProfileLoginIpRange.
		#
		# @author Ben Burwell
		class LoginIpRange
			include ROXML

			xml_accessor :description
			xml_accessor :endAddress
			xml_accessor :startAddress
		end

		# See https://developer.salesforce.com/docs/atlas.en-us.api_meta.meta/api_meta/meta_profile.htm#ProfileLoginIpRange_title
		class ProfileLoginIpRange < LoginIpRange; end
	end
end
