require 'roxml'

module Salesforce
	module Types
		# A generic RecordTypeVisibility class that can be extended for specific
		# metadata objects, e.g. ProfileRecordTypeVisibility.
		#
		# @author Ben Burwell
		class RecordTypeVisibility
			include ROXML

			xml_accessor :recordType
			xml_accessor :visible
		end

		# See https://developer.salesforce.com/docs/atlas.en-us.api_meta.meta/api_meta/meta_profile.htm#profilerecordtypevisibility_title
		class ProfileRecordTypeVisibility < RecordTypeVisibility
			xml_accessor :default
			xml_accessor :personAccountDefault
		end
		class PermissionSetRecordTypeVisibility < RecordTypeVisibility; end
	end
end
