require 'roxml'

module Salesforce
	module Types
		# A generic TabSetting class that can be extended for specific
		# metadata objects, e.g. PermissionSetTabSetting.
		#
		# @author Ben Burwell
		class TabSetting
			include ROXML

			xml_accessor :tab
			xml_accessor :visibility # enum: Available, None, Hidden
		end

		class PermissionSetTabSetting < TabSetting; end
	end
end
