require 'roxml'

module Salesforce
	module Types
		# A generic TabVisibility class that can be extended for specific
		# metadata objects, e.g. ProfileTabVisibility.
		#
		# @author Ben Burwell
		class TabVisibility
			include ROXML

			xml_accessor :tab
			xml_accessor :visibility # enum: DefaultOff, DefaultOn, Hidden
		end

		# See https://developer.salesforce.com/docs/atlas.en-us.api_meta.meta/api_meta/meta_profile.htm#profiletabvisibility_title
		class ProfileTabVisibility < TabVisibility; end
	end
end
