require 'roxml'

module Salesforce
	module Types
		# A generic UserPermission class that can be extended for specific
		# metadata objects, e.g. ProfileUserPermission.
		#
		# @author Ben Burwell
		class UserPermission
			include ROXML

			xml_accessor :enabled
			xml_accessor :name
		end

		# See https://developer.salesforce.com/docs/atlas.en-us.api_meta.meta/api_meta/meta_profile.htm#profileUserPerm_title
		class ProfileUserPermission < UserPermission; end
		class PermissionSetUserPermission < UserPermission; end
	end
end
